Subject: ObjectSerializer does not detect recursion in object references
Description

Given the following object relations:

        $objectA = new $className();
        $objectB = new $className();

        $objectA->child = $objectB;
        $objectB->parent = $objectA;

On trying to serialize $objectA with serializeObjectAsPropertyArray(), the object serializer will end up in an infinite loop trying to
recursively serialize the two objects.

Associated revisions
Revision 67ae141d - 2010-08-23 16:52 - Robert Lemke

[+BUGFIX] FLOW3 (Object): The ObjectSerializer now detects recursive reference in the object structure to be serialized. This should now allow to add
even complex object structures to a session object which is then transparently stored by FLOW3. Resolves #9360

Change-Id: I202b78c9c3bc835a017c35baf2293e6e5776ad32

History
#1 - 2010-08-18 15:02 - Karsten Dambekalns
- Category changed from MVC - Routing to Object

#2 - 2010-08-19 10:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r5009.
